import request from '@/config/axios'

export interface CameraVO {
  id: undefined,
  nvrId: string,
  code: undefined,
  channel: undefined,
  location: undefined,
  remark: undefined
}

// 查询列表
export const getCameraPage = (params: PageParam) => {
  return request.get({ url: '/data/dev/camera/page', params })
}

// 获得
export const getCamera = (id: number) => {
  return request.get({ url: '/data/dev/camera/get?id=' + id })
}

// 查询应用列表
export const getCameraList = () => {
  return request.get({ url: '/data/dev/camera/list' })
}

// 新增
export const createCamera = (data: CameraVO) => {
  return request.post({ url: '/data/dev/camera/create', data })
}

// 修改
export const updateCamera = (data: CameraVO) => {
  return request.put({ url: '/data/dev/camera/update', data })
}

// 删除
export const deleteCamera = (id: number) => {
  return request.delete({ url: '/data/dev/camera/delete?id=' + id })
}

// 导出
export const exportCamera = (params: CameraVO) => {
  return request.download({ url: '/data/dev/camera/export-excel', params })
}
